Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Categories

List
GET /calendarmodules/{moduleId}/categories
https://api.relesysapp.net/api/v1/calendarmodules/{moduleId}/categories
Get a list of calendar categories.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"3174fe8d-ee5d-42cd-8449-f3ffc81fa7e5","url":null,"creationDateTime":"2026-04-16T11:31:33.7896797+00:00","lastModifiedDateTime":"2026-04-17T11:31:33.7896797+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"},{"culture":"da-DK","title":"Calendar category locale title example 2"}]},{"id":"32414854-9686-4a89-b82b-c0193657b479","url":null,"creationDateTime":"2026-04-16T11:31:33.7896797+00:00","lastModifiedDateTime":"2026-04-17T11:31:33.7896797+00:00","locales":[{"culture":"en-GB","title":"Calendar category locale title example 1"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    title string      
   url string      
  nextUrl string      
  previousUrl string